Loading...
Searching...
No Matches
InterpSpline.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <float.h>`
`#include <math.h>`
`#include <string.h>`
`#include <grass/lidar.h>`
Include dependency graph for InterpSpline.c:

Go to the source code of this file.

## Functions

void | node_x (double x, int *i_x, double *csi_x, double xMin, double deltaX)
void | node_y (double y, int *i_y, double *csi_y, double yMin, double deltaY)
int | order (int i_x, int i_y, int yNum)
double | phi_3 (double csi)
double | phi_4 (double csi)
double | phi_33 (double csi_x, double csi_y)
double | phi_34 (double csi_x, double csi_y)
double | phi_43 (double csi_x, double csi_y)
double | phi_44 (double csi_x, double csi_y)
double | phi (double csi_x, double csi_y)
void | normalDefBicubic (double **N, double *TN, double *Q, double **obsVect, double deltaX, double deltaY, int xNum, int yNum, double xMin, double yMin, int obsNum, int parNum, int BW)
void | nCorrectLapl (double **N, double lambda, int xNum, int yNum, double deltaX, double deltaY)
void | normalDefBilin (double **N, double *TN, double *Q, double **obsVect, double deltaX, double deltaY, int xNum, int yNum, double xMin, double yMin, int obsNum, int parNum, int BW)
void | nCorrectGrad (double **N, double lambda, int xNum, int yNum, double deltaX, double deltaY)
void | obsEstimateBicubic (double **obsV, double *obsE, double *parV, double deltX, double deltY, int xNm, int yNm, double xMi, double yMi, int obsN)
double | dataInterpolateBicubic (double x, double y, double deltaX, double deltaY, int xNum, int yNum, double xMin, double yMin, double *parVect)
void | obsEstimateBilin (double **obsV, double *obsE, double *parV, double deltX, double deltY, int xNm, int yNm, double xMi, double yMi, int obsN)
double | dataInterpolateBilin (double x, double y, double deltaX, double deltaY, int xNum, int yNum, double xMin, double yMin, double *parVect)

## Function Documentation

## dataInterpolateBicubic()

double dataInterpolateBicubic | ( | double | x,
|  | double | y,
|  | double | deltaX,
|  | double | deltaY,
|  | int | xNum,
|  | int | yNum,
|  | double | xMin,
|  | double | yMin,
|  | double * | parVect )

Definition at line 497 of file InterpSpline.c.

References node_x(), node_y(), order(), phi_33(), phi_34(), phi_43(), phi_44(), and x.

Referenced by P_Regular_Points(), and P_Sparse_Points().

## dataInterpolateBilin()

double dataInterpolateBilin | ( | double | x,
|  | double | y,
|  | double | deltaX,
|  | double | deltaY,
|  | int | xNum,
|  | int | yNum,
|  | double | xMin,
|  | double | yMin,
|  | double * | parVect )

Definition at line 604 of file InterpSpline.c.

References node_x(), node_y(), order(), phi(), and x.

Referenced by P_Regular_Points(), and P_Sparse_Points().

## nCorrectGrad()

void nCorrectGrad | ( | double ** | N,
|  | double | lambda,
|  | int | xNum,
|  | int | yNum,
|  | double | deltaX,
|  | double | deltaY )

Definition at line 399 of file InterpSpline.c.

## nCorrectLapl()

void nCorrectLapl | ( | double ** | N,
|  | double | lambda,
|  | int | xNum,
|  | int | yNum,
|  | double | deltaX,
|  | double | deltaY )

Definition at line 199 of file InterpSpline.c.

References order().

## node_x()

void node_x | ( | double | x,
|  | int * | i_x,
|  | double * | csi_x,
|  | double | xMin,
|  | double | deltaX )

Definition at line 29 of file InterpSpline.c.

References x.

Referenced by dataInterpolateBicubic(), dataInterpolateBilin(), normalDefBicubic(), normalDefBilin(), obsEstimateBicubic(), and obsEstimateBilin().

## node_y()

void node_y | ( | double | y,
|  | int * | i_y,
|  | double * | csi_y,
|  | double | yMin,
|  | double | deltaY )

Definition at line 41 of file InterpSpline.c.

Referenced by dataInterpolateBicubic(), dataInterpolateBilin(), normalDefBicubic(), normalDefBilin(), obsEstimateBicubic(), and obsEstimateBilin().

## normalDefBicubic()

void normalDefBicubic | ( | double ** | N,
|  | double * | TN,
|  | double * | Q,
|  | double ** | obsVect,
|  | double | deltaX,
|  | double | deltaY,
|  | int | xNum,
|  | int | yNum,
|  | double | xMin,
|  | double | yMin,
|  | int | obsNum,
|  | int | parNum,
|  | int | BW )

Definition at line 107 of file InterpSpline.c.

References node_x(), node_y(), order(), phi_33(), phi_34(), phi_43(), and phi_44().

## normalDefBilin()

void normalDefBilin | ( | double ** | N,
|  | double * | TN,
|  | double * | Q,
|  | double ** | obsVect,
|  | double | deltaX,
|  | double | deltaY,
|  | int | xNum,
|  | int | yNum,
|  | double | xMin,
|  | double | yMin,
|  | int | obsNum,
|  | int | parNum,
|  | int | BW )

Definition at line 291 of file InterpSpline.c.

References node_x(), node_y(), order(), and phi().

## obsEstimateBicubic()

void obsEstimateBicubic | ( | double ** | obsV,
|  | double * | obsE,
|  | double * | parV,
|  | double | deltX,
|  | double | deltY,
|  | int | xNm,
|  | int | yNm,
|  | double | xMi,
|  | double | yMi,
|  | int | obsN )

Definition at line 434 of file InterpSpline.c.

References node_x(), node_y(), order(), phi_33(), phi_34(), phi_43(), and phi_44().

## obsEstimateBilin()

void obsEstimateBilin | ( | double ** | obsV,
|  | double * | obsE,
|  | double * | parV,
|  | double | deltX,
|  | double | deltY,
|  | int | xNm,
|  | int | yNm,
|  | double | xMi,
|  | double | yMi,
|  | int | obsN )

Definition at line 556 of file InterpSpline.c.

References node_x(), node_y(), order(), and phi().

## order()

int order | ( | int | i_x,
|  | int | i_y,
|  | int | yNum )

Definition at line 53 of file InterpSpline.c.

Referenced by dataInterpolateBicubic(), dataInterpolateBilin(), nCorrectLapl(), normalDefBicubic(), normalDefBilin(), obsEstimateBicubic(), and obsEstimateBilin().

## phi()

double phi | ( | double | csi_x,
|  | double | csi_y )

Definition at line 98 of file InterpSpline.c.

Referenced by dataInterpolateBilin(), normalDefBilin(), and obsEstimateBilin().

## phi_3()

double phi_3 | ( | double | csi | ) |

Definition at line 62 of file InterpSpline.c.

Referenced by phi_33(), phi_34(), and phi_43().

## phi_33()

double phi_33 | ( | double | csi_x,
|  | double | csi_y )

Definition at line 74 of file InterpSpline.c.

References phi_3().

Referenced by dataInterpolateBicubic(), normalDefBicubic(), and obsEstimateBicubic().

## phi_34()

double phi_34 | ( | double | csi_x,
|  | double | csi_y )

Definition at line 80 of file InterpSpline.c.

References phi_3(), and phi_4().

Referenced by dataInterpolateBicubic(), normalDefBicubic(), and obsEstimateBicubic().

## phi_4()

double phi_4 | ( | double | csi | ) |

Definition at line 68 of file InterpSpline.c.

Referenced by phi_34(), phi_43(), and phi_44().

## phi_43()

double phi_43 | ( | double | csi_x,
|  | double | csi_y )

Definition at line 86 of file InterpSpline.c.

References phi_3(), and phi_4().

Referenced by dataInterpolateBicubic(), normalDefBicubic(), and obsEstimateBicubic().

## phi_44()

double phi_44 | ( | double | csi_x,
|  | double | csi_y )

Definition at line 92 of file InterpSpline.c.

References phi_4().

Referenced by dataInterpolateBicubic(), normalDefBicubic(), and obsEstimateBicubic().